/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:RulesManagerModelLocator.as 2485 2008-09-30 14:14:35Z nicoulaj $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.rules.editor.view.editor
{

import org.ow2.jasmine.monitoring.eos.rules.common.model.domain.SynchronizedRulePackage;

/**
* The interface that must be implemented by any rule package editor to be
* available for use in the component
* 
* @author Julien Nicoulaud
*/
public interface ISynchronizedRulePackageEditor
{
    // =========================================================================
    // Properties getting and setting
    // =========================================================================
    
    /**
    * Set the edited object
    */
    [Bindable(event="editedSynchronizedRulePackageChange")]
    function get editedSynchronizedRulePackage():SynchronizedRulePackage;
    function set editedSynchronizedRulePackage(value:SynchronizedRulePackage):void;
    
    
    // =========================================================================
    // Utils
    // =========================================================================
    
    /**
    * Test the edited rule package compilation
    */
    function compileRulePackage():void;
    
    /**
    * Check if the editor declares the edited object in a valid state to be saved
    */
    function canBeSaved():String;
}
}
